metadata:
  id: syncthing
  name:
    en: Syncthing
  version: 1.27.7
  displayVersion: 1.27.7
  category:
    de: Dateien
    en: Files
  tagline:
    en: Continuous File Synchronization
  developers:
    Kastelo: https://kastelo.net/
    The Syncthing Foundation: https://syncthing.net/
  description:
    en: |
      <p>Syncthing is a continuous file synchronization program. It synchronizes files between two or more computers. We strive to fulfill the goals below. The goals are listed in order of importance, the most important ones first.</p>

      Syncthing should be:<br>
      <b>Safe From Data Loss:</b> Protecting the user's data is paramount. We take every reasonable precaution to avoid corrupting the user's files.<br>
      <b>Secure Against Attackers:</b> Again, protecting the user's data is paramount. Regardless of our other goals, we must never allow the user's data to be susceptible to eavesdropping or modification by unauthorized parties.<br>
      <b>Easy to Use:</b> Syncthing should be approachable, understandable, and inclusive.<br>
      <b>Automatic:</b> User interaction should be required only when absolutely necessary.<br>
      <b>Universally Available:</b> Syncthing should run on every common computer. We are mindful that the latest technology is not always available to every individual.<br>
      <b>For Individuals:</b> Syncthing is primarily about empowering the individual user with safe, secure, and easy to use file synchronization.<br>
      <b>Everything Else:</b> There are many things we care about that don't make it on to the list. It is fine to optimize for these values, as long as they are not in conflict with the stated goals above.<br>
  basePermissions:
  - builtin/network/host
  hasPermissions:
  - builtin/network/host
  exposesPermissions: []
  repos:
    Core: https://github.com/syncthing/syncthing
  support: https://forum.syncthing.net/
  icon: https://official-app-icons.nirvati.org/syncthing/icon.svg
  defaultPassword: null
  license: MPL-2.0
  volumes:
    main:
      minimum_size: 1073741824
      recommended_size: 10737418240
      name:
        en: Data
      description:
        en: The data you're synchronizing
  ports: []
  runtime: AppYml
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: Nirvati
containers:
  main: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        PGID: !StringLike 1000
        PUID: !StringLike 1000
      hostname: null
      image: syncthing/syncthing:1.27.7
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: main
        mount_path: /var/syncthing
        sub_path: st-sync
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: true
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels: {}
    middlewares: {}
services:
  main:
    target_container: main
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        8384: 8384
    cluster_ip: null
    network_policy: null
ingress:
- target_service: main
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 8384
  type: Https
  enable_compression: true
  strip_prefix: true
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: false
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods: []
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: false
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods: []
other: []
